Bug 144598

Summary: start_udev script not using unique attributes
Product: [Fedora] Fedora Reporter: Jon Smirl <jonsmirl>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 3   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-04-27 06:10:19 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
new version of start_udev none

Description Jon Smirl 2005-01-09 03:18:29 EST
I'm using Fedora core 3 and udev. udev is taking 30 seconds to start.
I tracked it down to something to do with SCSI support. I don't have
any real SCSI devices, but I do have SATA drives and a CD writer. The
problem seems to be with a queue_type of "none". It's the HOTPLUG scsi
script that is hanging. The device on host0 is a SATA disk.

I debugged the script in scsi_replay(). The problem is that there are
two attributes with 'type' in their name. If you use 'model' instead
of 'type' the script will work. 'queue_type' matches the search for
'type', but then 'type' is stripped off and it looks for a device
named 'queue_' which doesn't exist. Not fixed in udev-048-4

Adding some debug to start_udev I see this:

[root@jonsmirl sbin]# ./start_udev
Starting udev:  /sbin/hotplug

/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/fw-host0
              /sys/devices/pci0000:00/0000:00:1f.2/host0
/sys/devices/pci0000:00/0000:00:1f.2/host1
/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/fw-host0
/sys/devices/pci0000:00/0000:00:1f.2/host0
1/sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/queue_type
1/sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/queue_type
2/sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/queue_type

30 second pause

bogus sysfs
DEVPATH=/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/queue_type
3/sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/queue_type
1/sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/type
1/sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/type
2/sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/type
disk at /devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0
FATAL: Module sd_mod not found.
3/sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/type
/sys/devices/pci0000:00/0000:00:1f.2/host1
                                                          [  OK  ]
[root@jonsmirl sbin]# cat
/sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/queue_type
none
[root@jonsmirl sbin]#
Comment 1 Jon Smirl 2005-02-27 16:03:50 EST
Did I mention after fixing this udev starts in about one second instead of 30?
Comment 2 Harald Hoyer 2005-02-28 05:32:57 EST
Created attachment 111468 [details]
new version of start_udev

new version of start_udev, which should fix the problem
Comment 3 Harald Hoyer 2005-02-28 05:33:25 EST
could you please try this version of start_udev?
Comment 4 Jon Smirl 2005-02-28 12:51:01 EST
The microcode device isn't getting built

[root@jonsmirl init.d]# ./microcode_ctl restart
./microcode_ctl: microcode device /dev/cpu/0/microcode doesn't exist?
[root@jonsmirl init.d]#
Comment 5 Harald Hoyer 2005-03-01 05:55:36 EST
ok, sorry, this is for devel, but the other thing works?
Comment 6 Jon Smirl 2005-03-01 11:41:41 EST
There was no 30 second pause and it looked like all of my devices were there.
Comment 7 Harald Hoyer 2005-03-01 12:00:04 EST
good! will release a proper update for FC3. Thank you very much!